Wolfram Mathematica 7.0 on FBSD 8.1

kermIT

New Member


Messages: 1

Hello there,

ive I've successfully installed Mathematica on my system. It uses the Linux ABI (fc-10). When i I run it as root (i I dont don't want that ;) it works like a charm. running Running it as user i I get the following error:

Code:
error while loading shared libraries: /usr/local/lib/libXmu.so.6: ELF file OS ABI invalid
I think i I have all the neccessary pkgs installed, otherwise it wouldnt run as root. but But it seems "root" uses /usr/compat/linux/lib/libXmu.so.6 and "user" uses /usr/local/lib/libXmu.so.6 which is the FBSD FreeBSD lib.

Any suggestions would be awesome.

Thanks and a good day
 
Top